Installer crashes when dragging the slideshow icons

Bug #448703 reported by scrawl on 2009-10-11
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
mythbuntu-live-autostart (Ubuntu)
Undecided
Thomas Mashos
ubiquity (Ubuntu)
Undecided
Unassigned
ubiquity-slideshow-ubuntu (Ubuntu)
Undecided
Daniel Holbert

Bug Description

Binary package hint: ubiquity

The Live-CD Installer crashs, when you try to drag the icons in the slideshow with the mouse.

ProblemType: Bug
Architecture: i386
Date: Sun Oct 11 15:32:03 2009
DistroRelease: Ubuntu 9.10
LiveMediaBuild: Ubuntu 9.10 "Karmic Koala" - Beta i386 (20090929.2)
Package: ubiquity 1.99.28
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
SourcePackage: ubiquity
Uname: Linux 2.6.31-11-generic i686

Daniel Holbert (dholbert) wrote :

I've un-duplicated this bug.
Bug 434413 (this one's former duplicate) is about the underlying crash in pywebkitgtk.
I'm hereby declaring this bug to be about the specific instance of the crash in ubiquity-slideshow-ubuntu during installation.

This particular instance of the bug is easily fixed by a simple workaround: disable dragging of images in the installer slideshow.

I'm attaching a debdiff to achieve this.

Daniel Holbert (dholbert) wrote :

@evand -- I talked to cjwatson in IRC briefly, and he suggested I talk to you about getting this change checked in. I've just subscribed you to this bug -- let me know if there's anything else I can help with here. Thanks!

Evan (ev) wrote :

Committed. Thanks Daniel!

Changed in ubiquity-slideshow-ubuntu (Ubuntu):
status: New → Fix Committed
Changed in ubiquity (Ubuntu):
status: New → Invalid
summary: - Installer crashs when dragging the slideshow icons
+ Installer crashes when dragging the slideshow icons
Changed in ubiquity-slideshow-ubuntu (Ubuntu):
assignee: nobody → Daniel Holbert (dholbert)
Changed in mythbuntu-live-autostart (Ubuntu):
assignee: nobody → Thomas Mashos (tgm4883)
status: New → Confirmed
Thomas Mashos (tgm4883) on 2009-10-14
Changed in mythbuntu-live-autostart (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mythbuntu-live-autostart - 0.33-0ubuntu1

---------------
mythbuntu-live-autostart (0.33-0ubuntu1) karmic; urgency=low

  * Applied fix from Daniel Holbert to disable dragable
    images in slideshow (LP: #448703)

 -- Thomas Mashos <email address hidden> Tue, 13 Oct 2009 20:01:31 -0700

Changed in mythbuntu-live-autostart (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity-slideshow-ubuntu - 9

---------------
ubiquity-slideshow-ubuntu (9) karmic; urgency=low

  [ Evan Dandrea ]
  * The version of Firefox shipped with Ubuntu 9.10 is 3.5, not 3.0
    (LP: #442832).
  * Add an Ubuntu One slide.
  * Freeze exception (LP: #447383).
  * Updated Ubuntu and Ubuntu One logo license (LP: #451263).
  * Updated translations from Launchpad (source package).

  [ Dylan McCall ]
  * Merged middle-tweaks branch. Freeze exception (LP: #445102)
  * New strings for firefox.html, fspot.html, rhythmbox-totem.html,
    evolution.html, empathy.html, openoffice.html, accessibility.html,
    installing-software.html.
  * Changed order of slideshow; multimedia stuff slide appears first,
    accessibility near the end, before Installing Software.
  * Breathe icons have been replaced with icons from the Humanity icon theme:
    accessibility.svg, evolution.svg, fspot.svg, help.svg, openoffice.svg
    (LP: #428169)
  * Breathe icon fspot.svg has been replaced with its counterpart from the
    fspot source package.
  * Removed banshee.svg from source tree and removed mention of nonexistent
    icons from debian/copyright.
  * Updated translation templates for new slides.

  [ Daniel Holbert ]
  * Made images in slideshow non-draggable to work around pywebkitgtk crash
    (LP: #448703).

 -- Evan Dandrea <email address hidden> Thu, 15 Oct 2009 11:50:19 +0100

Changed in ubiquity-slideshow-ubuntu (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers